Bug 470735 - LDAPException: Sizelimit Exceeded (4) Sizelimit Exceeded prevents Studio to display source tables
LDAPException: Sizelimit Exceeded (4) Sizelimit Exceeded prevents Studio to d...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-11-09 14:59 EST by Jim Yang
Modified: 2016-02-03 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sizelimit error in the server log (386.06 KB, image/png)
2008-11-09 15:00 EST, Jim Yang
no flags Details
increasing the sizelimit in studio bigger than the data source entries count will not throw error and lead to a normal expected behavior (452.35 KB, image/png)
2008-11-09 15:01 EST, Jim Yang
no flags Details

  None (edit)
Description Jim Yang 2008-11-09 14:59:30 EST
Description of problem:
LDAPException: Sizelimit Exceeded (4) Sizelimit Exceeded prevents Studio to display source tables

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Map LDAP entries 
2.Browse Sources -> users2
  
Actual results:
Default limit is 100, so if the current data exceed 100, server will generate sizelimit exceeded and caused Studio to display an error dialog box: javax.management.MBeanException

Expected results:
Able to browse the data source

Additional info:
Increasing the limit to 30,000 or any number that's greater than the number of entries in the LDAP source will not throw in and error. See screenshots
Comment 1 Jim Yang 2008-11-09 15:00:14 EST
Created attachment 323021 [details]
sizelimit error in the server log
Comment 2 Jim Yang 2008-11-09 15:01:20 EST
Created attachment 323022 [details]
increasing the sizelimit in studio bigger than the data source entries count will not throw error and lead to a normal expected behavior
Comment 3 Endi Sukma Dewata 2009-02-23 14:41:32 EST
This has been fixed. By default Penrose doesn't impose any limit, but the actual data source may impose certain limit. Now the error message is displayed as part of the tree. Any entries returned will be shown in the tree, regardless there's an error or not. A new button "Settings..." has been added to set the size limit.

Note You need to log in before you can comment on or make changes to this bug.